cmddump(6)

Name
cmddump - simulated TRS-80 CMD file loader

Syntax
cmddump [flags] infile [outfile startbyte nbytes]

Description
cmddump displays information about TRS-80 DOS binary (command) files. It takes an optional set of flags (described below), an input /cmd file, and an optional outfile, an optional starting offset of startbyte into the /cmd file, and an optional nbytes number of bytes to dump. Non-flag arguments must be given in the order shown. If the optional arguments are given, the given byte range is dumped from the simulated memory after loading.

Options

-d  print detailed map; same as -m, but don't coalesce

-i n
    select ISAM entry n (0x notation OK)

-m  print running load map as file is parsed, coalescing adjacent blocks (implies -t) (default)

-p foo
    select PDS entry foo (padded to 8 bytes with spaces)

-q  quiet; turns off -t, -m, -d, -s (later flags can override)

-s  print summary load map after file is parsed

-t  print text of module headers, pds headers, patch names, and copyright notices

-x  ignore anything after the first transfer address

Author
cmddump was written by Timothy Mann. This man page was generated by Branden Robinson from comments in the source code.

See also
xtrs(1)

See the LDOS Quarterly, April 1, 1982 (Vol 1, No 4), for documentation of the TRS-80 DOS /cmd file format. It is available on the Web at http://www.tim-mann.org/misosys.html. $Id: cmddump.man,v 1.2 2008/06/26 04:39:56 mann Exp $